# org.pdfclown.documents.contents.IContentContext Interface Reference

Content stream context. More...

Inheritance diagram for org.pdfclown.documents.contents.IContentContext:

List of all members.

## Public Member Functions
void | Render (Graphics context, SizeF size)
ContentObject | ToInlineObject (PrimitiveComposer composer)
| Converts this entity to its equivalent inline (dependent) object representation [PDF:1.6:4.8.6].
xObjects.XObject | ToXObject (Document context)
| Converts this entity to its equivalent external (independent) object representation [PDF:1.6:4.7].
## Properties
RectangleF | Box`[get]`
| Gets the bounding box associated with this content context either explicitly (directly associated to the object) or (if not explicitly available) implicitly (inherited from a higher level object), expressed in default user-space units.
Contents | Contents`[get]`
| Gets the contents collection representing the content stream associated with this content context.
Resources | Resources`[get]`
| Gets the resources associated with this content context either explicitly (directly associated to the object) or (if not explicitly available) implicitly (inherited from a higher-level object).
RotationEnum | Rotation`[get]`
| Gets the rendering rotation of this content context.

##

Content stream context.

## Member Function Documentation

void org.pdfclown.documents.contents.IContentContext.Render | ( | Graphics | context,
|  | SizeF | size |
| ) |  |  |

Renders this content context into the specified rendering context.

Parameters:

  | context | Rendering context.
  | size | Rendering canvas size.

Since:
  0.1.0

Referenced by org.pdfclown.tools.Renderer.Render().

ContentObject org.pdfclown.documents.contents.IContentEntity.ToInlineObject | ( | PrimitiveComposer | composer | ) | `[inherited]`

Converts this entity to its equivalent inline (dependent) object representation [PDF:1.6:4.8.6].

This method creates and shows an inline object within the target content context, returning it.

Due to its direct-content nature (opposite to the indirect-content nature of external objects), the resulting object should be shown only one time in order not to wastefully duplicate its data.

Parameters:

  | composer | Target content composer.

Returns:
  The inline object representing the entity.

Implemented in org.pdfclown.documents.contents.entities.EAN13Barcode, org.pdfclown.documents.contents.entities.Entity, org.pdfclown.documents.contents.entities.JpegImage, org.pdfclown.documents.contents.xObjects.FormXObject, and org.pdfclown.documents.Page.

xObjects.XObject org.pdfclown.documents.contents.IContentEntity.ToXObject | ( | Document | context | ) | `[inherited]`

Converts this entity to its equivalent external (independent) object representation [PDF:1.6:4.7].

This method creates an external object within the target document, returning it. To show it in a content context (eg: a page), then it must be applied in an appropriate manner (see PrimitiveComposer object).

Parameters:

  | context | Target document.

Returns:
  The external object representing the entity.

Implemented in org.pdfclown.documents.contents.entities.EAN13Barcode, org.pdfclown.documents.contents.entities.Entity, org.pdfclown.documents.contents.entities.JpegImage, org.pdfclown.documents.contents.xObjects.FormXObject, and org.pdfclown.documents.Page.

## Property Documentation

RectangleF org.pdfclown.documents.contents.IContentContext.Box`[get]`

Gets the bounding box associated with this content context either explicitly (directly associated to the object) or (if not explicitly available) implicitly (inherited from a higher level object), expressed in default user-space units.

Implemented in org.pdfclown.documents.contents.xObjects.FormXObject, and org.pdfclown.documents.Page.

Referenced by org.pdfclown.documents.contents.ContentScanner.GraphicsState.GetInitialCtm(), and org.pdfclown.documents.contents.objects.ShowText.Scan().

Contents org.pdfclown.documents.contents.IContentContext.Contents`[get]`

Gets the contents collection representing the content stream associated with this content context.

Implemented in org.pdfclown.documents.contents.xObjects.FormXObject, and org.pdfclown.documents.Page.

Resources org.pdfclown.documents.contents.IContentContext.Resources`[get]`

Gets the resources associated with this content context either explicitly (directly associated to the object) or (if not explicitly available) implicitly (inherited from a higher-level object).

The implementing class MUST ensure that the returned object isn't

    null

.

Implemented in org.pdfclown.documents.contents.xObjects.FormXObject, and org.pdfclown.documents.Page.

Referenced by org.pdfclown.documents.contents.objects.ContentMarker.GetProperties(), org.pdfclown.documents.contents.objects.SetStrokeColorSpace.GetResource(), org.pdfclown.documents.contents.objects.SetFont.GetResource(), org.pdfclown.documents.contents.objects.SetFillColorSpace.GetResource(), org.pdfclown.documents.contents.objects.PaintXObject.GetResource(), org.pdfclown.documents.contents.objects.PaintShading.GetResource(), and org.pdfclown.documents.contents.objects.ApplyExtGState.GetResource().

RotationEnum org.pdfclown.documents.contents.IContentContext.Rotation`[get]`

Gets the rendering rotation of this content context.

Implemented in org.pdfclown.documents.contents.xObjects.FormXObject, and org.pdfclown.documents.Page.

Referenced by org.pdfclown.documents.contents.ContentScanner.GraphicsState.GetInitialCtm().

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.